/*-
 * %%----------------------------------------------------------------------------------------------
 * DLCM Technology - DLCM Portal - label-translate.enum.ts
 * SPDX-License-Identifier: GPL-2.0-or-later
 * %----------------------------------------------------------------------------------------------%
 * Copyright (C) 2017 - 2025 University of Geneva
 * %----------------------------------------------------------------------------------------------%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/gpl-2.0.html>.
 * ----------------------------------------------------------------------------------------------%%
 */

import {MARK_AS_TRANSLATABLE} from "solidify-frontend/src/lib/core-resources";

export class LabelTranslateEnum {
  static back: string = MARK_AS_TRANSLATABLE("general.button.back");
  static backToList: string = MARK_AS_TRANSLATABLE("general.button.backToList");
  static backToAdmin: string = MARK_AS_TRANSLATABLE("general.button.backToAdmin");
  static backToStoragionList: string = MARK_AS_TRANSLATABLE("general.button.backToStoragionList");
  static backToArchiveOrders: string = MARK_AS_TRANSLATABLE("general.button.backToArchiveOrders");
  static backToJobDetail: string = MARK_AS_TRANSLATABLE("general.button.backToJobDetail");
  static backToNotification: string = MARK_AS_TRANSLATABLE("general.button.backToNotification");
  static backToPreservationPlanning: string = MARK_AS_TRANSLATABLE("general.button.backToPreservationPlanning");
  static backToListMyOrder: string = MARK_AS_TRANSLATABLE("general.button.backToListMyOrder");
  static backToOrganizationalUnit: string = MARK_AS_TRANSLATABLE("general.button.backToOrganizationalUnit");
  static backToArchiveDetail: string = MARK_AS_TRANSLATABLE("general.button.backToArchiveDetail");
  static save: string = MARK_AS_TRANSLATABLE("general.button.save");
  static cancel: string = MARK_AS_TRANSLATABLE("general.button.cancel");
  static proceed: string = MARK_AS_TRANSLATABLE("general.button.proceed");
  static create: string = MARK_AS_TRANSLATABLE("general.button.create");
  static createDeposit: string = MARK_AS_TRANSLATABLE("general.button.createDeposit");
  static checkCompliance: string = MARK_AS_TRANSLATABLE("general.button.checkCompliance");
  static enableDepositEdition: string = MARK_AS_TRANSLATABLE("general.button.enableDepositEdition");
  static cancelDepositEdition: string = MARK_AS_TRANSLATABLE("general.button.cancelDepositEdition");
  static delete: string = MARK_AS_TRANSLATABLE("general.button.delete");
  static download: string = MARK_AS_TRANSLATABLE("general.button.download");
  static downloadFileOnly: string = MARK_AS_TRANSLATABLE("general.button.downloadFileOnly");
  static preview: string = MARK_AS_TRANSLATABLE("general.button.preview");
  static markdownPreview: string = MARK_AS_TRANSLATABLE("general.button.markdownPreview");
  static downloadAll: string = MARK_AS_TRANSLATABLE("general.button.downloadAll");
  static synchronize: string = MARK_AS_TRANSLATABLE("general.button.synchronize");
  static login: string = MARK_AS_TRANSLATABLE("general.button.login");
  static logout: string = MARK_AS_TRANSLATABLE("general.button.logout");
  static close: string = MARK_AS_TRANSLATABLE("general.button.close");
  static confirm: string = MARK_AS_TRANSLATABLE("general.button.confirm");
  static validate: string = MARK_AS_TRANSLATABLE("general.button.validate");
  static rate: string = MARK_AS_TRANSLATABLE("general.button.rate");
  static run: string = MARK_AS_TRANSLATABLE("general.button.run");
  static resume: string = MARK_AS_TRANSLATABLE("general.button.resume");
  static showHistoryStatus: string = MARK_AS_TRANSLATABLE("general.button.showHistoryStatus");
  static showAgreement: string = MARK_AS_TRANSLATABLE("general.button.showAgreement");
  static seeObject: string = MARK_AS_TRANSLATABLE("general.button.seeObject");
  static markAsRefused: string = MARK_AS_TRANSLATABLE("general.button.markAsRefused");
  static markAsDone: string = MARK_AS_TRANSLATABLE("general.button.markAsDone");
  static markAsPending: string = MARK_AS_TRANSLATABLE("general.button.markAsPending");
  static markAsUnread: string = MARK_AS_TRANSLATABLE("general.button.markAsUnread");
  static markAsRead: string = MARK_AS_TRANSLATABLE("general.button.markAsRead");
  static process: string = MARK_AS_TRANSLATABLE("general.button.process");
  static add: string = MARK_AS_TRANSLATABLE("general.button.add");
  static retry: string = MARK_AS_TRANSLATABLE("general.button.retry");
  static init: string = MARK_AS_TRANSLATABLE("general.button.init");
  static rename: string = MARK_AS_TRANSLATABLE("general.button.rename");
  static approve: string = MARK_AS_TRANSLATABLE("general.button.approve");
  static reject: string = MARK_AS_TRANSLATABLE("general.button.reject");
  static submit: string = MARK_AS_TRANSLATABLE("general.button.submit");
  static resubmit: string = MARK_AS_TRANSLATABLE("general.button.resubmit");
  static edit: string = MARK_AS_TRANSLATABLE("general.button.edit");
  static copyIdToClipboard: string = MARK_AS_TRANSLATABLE("general.button.copyIdToClipboard");
  static clearCache: string = MARK_AS_TRANSLATABLE("general.button.clearCache");
  static yes: string = MARK_AS_TRANSLATABLE("general.button.yes");
  static no: string = MARK_AS_TRANSLATABLE("general.button.no");
  static yesImSure: string = MARK_AS_TRANSLATABLE("general.button.yesImSure");
  static returnToEditing: string = MARK_AS_TRANSLATABLE("general.button.returnToEditing");
  static reserveDoi: string = MARK_AS_TRANSLATABLE("general.button.reserveDoi");
  static addToDownloadOrder: string = MARK_AS_TRANSLATABLE("general.button.addToDownloadOrder");
  static requestAccess: string = MARK_AS_TRANSLATABLE("general.button.requestAccess");
  static doNotIgnore: string = MARK_AS_TRANSLATABLE("general.button.doNotIgnore");
  static move: string = MARK_AS_TRANSLATABLE("general.button.move");
  static changeDataCategoryType: string = MARK_AS_TRANSLATABLE("general.button.changeDataCategoryType");
  static showPreview: string = MARK_AS_TRANSLATABLE("general.button.showPreview");
  static completionStatus: string = MARK_AS_TRANSLATABLE("general.button.completionStatus");
  static seePersonDetail: string = MARK_AS_TRANSLATABLE("general.button.seePersonDetail");
  static goToAip: string = MARK_AS_TRANSLATABLE("general.button.goToAip");
  static seeContributorDetail: string = MARK_AS_TRANSLATABLE("general.button.seeContributorDetail");
  static seeNotifications: string = MARK_AS_TRANSLATABLE("general.button.seeNotifications");
  static seeSentRequest: string = MARK_AS_TRANSLATABLE("general.button.seeSentRequest");
  static seeOrganizationalUnitDetail: string = MARK_AS_TRANSLATABLE("general.button.seeOrganizationalUnitDetail");
  static seePreservationPolicyDetail: string = MARK_AS_TRANSLATABLE("general.button.seePreservationPolicyDetail");
  static seeSubmissionPolicyDetail: string = MARK_AS_TRANSLATABLE("general.button.seeSubmissionPolicyDetail");
  static seeDisseminationPolicyDetail: string = MARK_AS_TRANSLATABLE("general.button.seeDisseminationPolicyDetail");
  static seeSubjectAreaDetail: string = MARK_AS_TRANSLATABLE("general.button.seeSubjectAreaDetail");
  static seeInstitutionDetail: string = MARK_AS_TRANSLATABLE("general.button.seeInstitutionDetail");
  static seeFundingAgencyDetail: string = MARK_AS_TRANSLATABLE("general.button.seeFundingAgencyDetail");
  static seeLicenseDetail: string = MARK_AS_TRANSLATABLE("general.button.seeLicenseDetail");
  static seeAgreementDetail: string = MARK_AS_TRANSLATABLE("general.button.seeAgreementDetail");
  static seeUserDetail: string = MARK_AS_TRANSLATABLE("general.button.seeUserDetail");
  static deleteSelection: string = MARK_AS_TRANSLATABLE("general.button.deleteSelection");
  static resumeSelection: string = MARK_AS_TRANSLATABLE("general.button.resumeSelection");
  static doNotIgnoreSelection: string = MARK_AS_TRANSLATABLE("general.button.doNotIgnoreSelection");
  static see: string = MARK_AS_TRANSLATABLE("general.button.see");
  static check: string = MARK_AS_TRANSLATABLE("general.button.check");
  static approveDisposal: string = MARK_AS_TRANSLATABLE("general.button.approveDisposal");
  static deepChecksums: string = MARK_AS_TRANSLATABLE("general.button.deepChecksums");
  static disposeOf: string = MARK_AS_TRANSLATABLE("general.button.disposeOf");
  static extendTheRetention: string = MARK_AS_TRANSLATABLE("general.button.extendTheRetention");
  static reindex: string = MARK_AS_TRANSLATABLE("general.button.reindex");
  static updateCompliance: string = MARK_AS_TRANSLATABLE("general.button.updateCompliance");
  static simpleChecksums: string = MARK_AS_TRANSLATABLE("general.button.simpleChecksums");
  static send: string = MARK_AS_TRANSLATABLE("general.button.send");
  static downloadFolder: string = MARK_AS_TRANSLATABLE("general.button.downloadFolder");
  static deleteFolder: string = MARK_AS_TRANSLATABLE("general.button.deleteFolder");
  static deleteAll: string = MARK_AS_TRANSLATABLE("general.button.deleteAll");
  static uploadData: string = MARK_AS_TRANSLATABLE("general.button.uploadData");
  static fullscreen: string = MARK_AS_TRANSLATABLE("general.button.fullscreen");
  static exitFullscreen: string = MARK_AS_TRANSLATABLE("general.button.exitFullscreen");
  static deleteDeposit: string = MARK_AS_TRANSLATABLE("general.button.deleteDeposit");
  static putInError: string = MARK_AS_TRANSLATABLE("general.button.putInError");
  static fixAipInfo: string = MARK_AS_TRANSLATABLE("general.button.fixAipInfo");
  static lightMode: string = MARK_AS_TRANSLATABLE("general.button.lightMode");
  static darkMode: string = MARK_AS_TRANSLATABLE("general.button.darkMode");
  static leaveTheOrganizationalUnit: string = MARK_AS_TRANSLATABLE("general.button.leaveTheOrganisationalUnit");
  static showOnlyMyInstitutions: string = MARK_AS_TRANSLATABLE("general.button.showOnlyMyInstitutions");
  static showOnlyMyDeposits: string = MARK_AS_TRANSLATABLE("general.button.showOnlyMyDeposits");
  static showOnlyMyOrganisationalUnits: string = MARK_AS_TRANSLATABLE("general.button.showOnlyMyOrganisationalUnits");
  static createArchiveAcl: string = MARK_AS_TRANSLATABLE("general.button.createArchiveAcl");
  static clickForMoreOptions: string = MARK_AS_TRANSLATABLE("general.button.clickForMoreOptions");
  static clickForMoreInformation: string = MARK_AS_TRANSLATABLE("general.button.clickForMoreInformation");
  static coreTrustSealCertification: string = MARK_AS_TRANSLATABLE("general.button.coreTrustSealCertification");
  static sendToOrcid: string = MARK_AS_TRANSLATABLE("general.button.sendToOrcid");
  static uploadAReadmeFile: string = MARK_AS_TRANSLATABLE("general.button.uploadAReadmeFile");
  static switchToANewEditableFile: string = MARK_AS_TRANSLATABLE("general.button.switchToANewEditableFile");
  static anonymousReview: string = MARK_AS_TRANSLATABLE("general.button.anonymousReview");
  static regenerateAnonymousReview: string = MARK_AS_TRANSLATABLE("general.button.regenerateAnonymousReview");
  static copyAnonymousReviewLink: string = MARK_AS_TRANSLATABLE("general.button.copyAnonymousReviewLink");

  static home: string = MARK_AS_TRANSLATABLE("general.label.home");
  static archiveOrders: string = MARK_AS_TRANSLATABLE("general.label.archiveOrders");
  static profile: string = MARK_AS_TRANSLATABLE("general.label.profile");
  static userGuide: string = MARK_AS_TRANSLATABLE("general.label.userGuide");
  static toolsGuide: string = MARK_AS_TRANSLATABLE("general.label.toolsGuide");
  static apis: string = MARK_AS_TRANSLATABLE("general.label.apis");
  static integrationGuide: string = MARK_AS_TRANSLATABLE("general.label.integrationGuide");
  static developerDocumentation: string = MARK_AS_TRANSLATABLE("general.label.developerDocumentation");
  static themes: string = MARK_AS_TRANSLATABLE("general.label.themes");
  static file: string = MARK_AS_TRANSLATABLE("general.label.file");
  static files: string = MARK_AS_TRANSLATABLE("general.label.files");
  static size: string = MARK_AS_TRANSLATABLE("general.label.size");
  static archive: string = MARK_AS_TRANSLATABLE("general.label.archive");
  static archiveAcl: string = MARK_AS_TRANSLATABLE("general.label.archiveAcl");
  static archiveType: string = MARK_AS_TRANSLATABLE("general.label.archiveType");
  static archiveTypes: string = MARK_AS_TRANSLATABLE("general.label.archiveTypes");
  static archives: string = MARK_AS_TRANSLATABLE("general.label.archives");
  static metadata: string = MARK_AS_TRANSLATABLE("general.label.metadata");
  static collection: string = MARK_AS_TRANSLATABLE("general.label.collection");
  static collections: string = MARK_AS_TRANSLATABLE("general.label.collections");
  static units: string = MARK_AS_TRANSLATABLE("general.label.units");
  static all: string = MARK_AS_TRANSLATABLE("general.label.all");
  static storagion: string = MARK_AS_TRANSLATABLE("general.label.storagion");
  static mainStorage: string = MARK_AS_TRANSLATABLE("general.label.mainStorage");
  static mainStorageTooltip: string = MARK_AS_TRANSLATABLE("general.tooltip.mainStorage");
  static deposit: string = MARK_AS_TRANSLATABLE("general.label.deposit");
  static depositCreation: string = MARK_AS_TRANSLATABLE("general.label.depositCreation");
  static depositApprobation: string = MARK_AS_TRANSLATABLE("general.label.depositApprobation");
  static deposits: string = MARK_AS_TRANSLATABLE("general.label.deposits");
  static preservationSpace: string = MARK_AS_TRANSLATABLE("general.label.preservationSpace");
  static preservationPlanning: string = MARK_AS_TRANSLATABLE("general.label.preservationPlanning");
  static administration: string = MARK_AS_TRANSLATABLE("general.label.administration");
  static token: string = MARK_AS_TRANSLATABLE("general.label.token");
  static copyToClipboard: string = MARK_AS_TRANSLATABLE("general.label.copyToClipboard");
  static monitoring: string = MARK_AS_TRANSLATABLE("general.label.monitoring");
  static jobs: string = MARK_AS_TRANSLATABLE("general.label.jobs");
  static archivingStatus: string = MARK_AS_TRANSLATABLE("general.label.archivingStatus");
  static aipDownloaded: string = MARK_AS_TRANSLATABLE("general.label.aipDownloaded");
  static aipStatuses: string = MARK_AS_TRANSLATABLE("general.label.aipStatuses");
  static aip: string = MARK_AS_TRANSLATABLE("general.label.aip");
  static dip: string = MARK_AS_TRANSLATABLE("general.label.dip");
  static sip: string = MARK_AS_TRANSLATABLE("general.label.sip");
  static package: string = MARK_AS_TRANSLATABLE("general.label.package");
  static agent: string = MARK_AS_TRANSLATABLE("general.label.agent");
  static organizationalUnit: string = MARK_AS_TRANSLATABLE("general.label.organizationalUnit");
  static organizationalUnits: string = MARK_AS_TRANSLATABLE("general.label.organizationalUnits");
  static submissionPolicy: string = MARK_AS_TRANSLATABLE("general.label.submissionPolicy");
  static submissionPolicies: string = MARK_AS_TRANSLATABLE("general.label.submissionPolicies");
  static submissionAgreement: string = MARK_AS_TRANSLATABLE("general.label.submissionAgreement");
  static submissionAgreements: string = MARK_AS_TRANSLATABLE("general.label.submissionAgreements");
  static submissionAgreementsUser: string = MARK_AS_TRANSLATABLE("general.label.submissionAgreementsUser");
  static submissionAgreementFile: string = MARK_AS_TRANSLATABLE("general.label.submissionAgreementFile");
  static replaceSubmissionAgreementFile: string = MARK_AS_TRANSLATABLE("general.label.replaceSubmissionAgreementFile");
  static preservationPolicy: string = MARK_AS_TRANSLATABLE("general.label.preservationPolicy");
  static preservationPolicies: string = MARK_AS_TRANSLATABLE("general.label.preservationPolicies");
  static disseminationPolicy: string = MARK_AS_TRANSLATABLE("general.label.disseminationPolicy");
  static disseminationPolicies: string = MARK_AS_TRANSLATABLE("general.label.disseminationPolicies");
  static license: string = MARK_AS_TRANSLATABLE("general.label.license");
  static licenses: string = MARK_AS_TRANSLATABLE("general.label.licenses");
  static globalBanners: string = MARK_AS_TRANSLATABLE("general.label.globalBanners");
  static globalBanner: string = MARK_AS_TRANSLATABLE("general.label.globalBanner");
  static isWithDescription: string = MARK_AS_TRANSLATABLE("general.label.isWithDescription");
  static institution: string = MARK_AS_TRANSLATABLE("general.label.institution");
  static institutions: string = MARK_AS_TRANSLATABLE("general.label.institutions");
  static subjectArea: string = MARK_AS_TRANSLATABLE("general.label.subjectArea");
  static subjectAreas: string = MARK_AS_TRANSLATABLE("general.label.subjectAreas");
  static user: string = MARK_AS_TRANSLATABLE("general.label.user");
  static users: string = MARK_AS_TRANSLATABLE("general.label.users");
  static role: string = MARK_AS_TRANSLATABLE("general.label.role");
  static roles: string = MARK_AS_TRANSLATABLE("general.label.roles");
  static oaiMetadataPrefix: string = MARK_AS_TRANSLATABLE("general.label.oaiMetadataPrefix");
  static oaiMetadataPrefixes: string = MARK_AS_TRANSLATABLE("general.label.oaiMetadataPrefixes");
  static oaiSet: string = MARK_AS_TRANSLATABLE("general.label.oaiSet");
  static oaiSets: string = MARK_AS_TRANSLATABLE("general.label.oaiSets");
  static person: string = MARK_AS_TRANSLATABLE("general.label.person");
  static people: string = MARK_AS_TRANSLATABLE("general.label.people");
  static indexFieldAlias: string = MARK_AS_TRANSLATABLE("general.label.indexFieldAlias");
  static indexFieldAliases: string = MARK_AS_TRANSLATABLE("general.label.indexFieldAliases");
  static fundingAgency: string = MARK_AS_TRANSLATABLE("general.label.fundingAgency");
  static fundingAgencies: string = MARK_AS_TRANSLATABLE("general.label.fundingAgencies");
  static language: string = MARK_AS_TRANSLATABLE("general.label.language");
  static languages: string = MARK_AS_TRANSLATABLE("general.label.languages");
  static metadataType: string = MARK_AS_TRANSLATABLE("general.label.metadataType");
  static metadataTypes: string = MARK_AS_TRANSLATABLE("general.label.metadataTypes");
  static scheduledTask: string = MARK_AS_TRANSLATABLE("general.label.scheduledTasks");
  static scheduledEnabledTask: string = MARK_AS_TRANSLATABLE("general.label.scheduledEnabledTask");
  static disabledScheduledTask: string = MARK_AS_TRANSLATABLE("general.label.disabledScheduledTask");
  static notification: string = MARK_AS_TRANSLATABLE("general.label.notification");
  static notifications: string = MARK_AS_TRANSLATABLE("general.label.notifications");
  static sentRequest: string = MARK_AS_TRANSLATABLE("general.label.sentRequest");
  static sentRequests: string = MARK_AS_TRANSLATABLE("general.label.sentRequests");
  static contributor: string = MARK_AS_TRANSLATABLE("general.label.contributor");
  static contributors: string = MARK_AS_TRANSLATABLE("general.label.contributors");
  static status: string = MARK_AS_TRANSLATABLE("general.label.status");
  static category: string = MARK_AS_TRANSLATABLE("general.label.category");
  static categories: string = MARK_AS_TRANSLATABLE("general.label.categories");
  static type: string = MARK_AS_TRANSLATABLE("general.label.type");
  static types: string = MARK_AS_TRANSLATABLE("general.label.types");
  static created: string = MARK_AS_TRANSLATABLE("general.label.created");
  static updated: string = MARK_AS_TRANSLATABLE("general.label.updated");
  static archived: string = MARK_AS_TRANSLATABLE("general.label.archived");
  static lastArchiving: string = MARK_AS_TRANSLATABLE("general.label.lastArchiving");
  static lastArchivingTooltip: string = MARK_AS_TRANSLATABLE("general.tooltip.lastArchiving");
  static isExpired: string = MARK_AS_TRANSLATABLE("general.label.isExpired");
  static isDeleted: string = MARK_AS_TRANSLATABLE("general.label.isDeleted");
  static notifiedOrganizationalUnit: string = MARK_AS_TRANSLATABLE("general.label.notifiedOrganizationalUnit");
  static emitter: string = MARK_AS_TRANSLATABLE("general.label.emitter");
  static message: string = MARK_AS_TRANSLATABLE("general.label.message");
  static firstName: string = MARK_AS_TRANSLATABLE("general.label.firstName");
  static lastName: string = MARK_AS_TRANSLATABLE("general.label.lastName");
  static orcid: string = MARK_AS_TRANSLATABLE("general.label.orcid");
  static allOrders: string = MARK_AS_TRANSLATABLE("general.label.allOrders");
  static myOrders: string = MARK_AS_TRANSLATABLE("general.label.myOrders");
  static myDownloadOrders: string = MARK_AS_TRANSLATABLE("general.label.myDownloadOrders");
  static completed: string = MARK_AS_TRANSLATABLE("general.label.completed");
  static inProgress: string = MARK_AS_TRANSLATABLE("general.label.inProgress");
  static inValidation: string = MARK_AS_TRANSLATABLE("general.label.inValidation");
  static administrativeInformation: string = MARK_AS_TRANSLATABLE("general.label.administrativeInformation");
  static personalInformation: string = MARK_AS_TRANSLATABLE("general.label.personalInformation");
  static email: string = MARK_AS_TRANSLATABLE("general.label.email");
  static getAnAuthenticatedOrcid: string = MARK_AS_TRANSLATABLE("general.label.getAnAuthenticatedOrcid");
  static mandatory: string = MARK_AS_TRANSLATABLE("general.label.mandatory");
  static recommended: string = MARK_AS_TRANSLATABLE("general.label.recommended");
  static optional: string = MARK_AS_TRANSLATABLE("general.label.optional");
  static accessLevel: string = MARK_AS_TRANSLATABLE("general.label.accessLevel");
  static sensitivity: string = MARK_AS_TRANSLATABLE("general.label.sensitivity");
  static contractOnTheUseOfData: string = MARK_AS_TRANSLATABLE("general.label.contractOnTheUseOfData");
  static embargoAccessLevel: string = MARK_AS_TRANSLATABLE("general.label.embargoAccessLevel");
  static embargoEndDate: string = MARK_AS_TRANSLATABLE("general.label.embargoEndDate");
  static submittedDate: string = MARK_AS_TRANSLATABLE("general.label.submittedDate");
  static acceptedDate: string = MARK_AS_TRANSLATABLE("general.label.acceptedDate");
  static description: string = MARK_AS_TRANSLATABLE("general.label.description");
  static title: string = MARK_AS_TRANSLATABLE("general.label.title");
  static publicationDate: string = MARK_AS_TRANSLATABLE("general.label.publicationDate");
  static retentionDate: string = MARK_AS_TRANSLATABLE("general.label.retentionDate");
  static publicationYear: string = MARK_AS_TRANSLATABLE("general.label.publicationYear");
  static addMeAsContributor: string = MARK_AS_TRANSLATABLE("general.label.addMeAsContributor");
  static createNewPerson: string = MARK_AS_TRANSLATABLE("general.label.createNewPerson");
  static keywords: string = MARK_AS_TRANSLATABLE("general.label.keywords");
  static keyword: string = MARK_AS_TRANSLATABLE("general.label.keyword");
  static dataCollectionPeriod: string = MARK_AS_TRANSLATABLE("general.label.dataCollectionPeriod");
  static dataCollectionStartDate: string = MARK_AS_TRANSLATABLE("general.label.dataCollectionStartDate");
  static dataCollectionEndDate: string = MARK_AS_TRANSLATABLE("general.label.dataCollectionEndDate");
  static matchingPeople: string = MARK_AS_TRANSLATABLE("general.label.matchingPeople");
  static queryType: string = MARK_AS_TRANSLATABLE("general.label.queryType");
  static query: string = MARK_AS_TRANSLATABLE("general.label.query");
  static queryMode: string = MARK_AS_TRANSLATABLE("general.label.queryMode");
  static search: string = MARK_AS_TRANSLATABLE("general.label.search");
  static identification: string = MARK_AS_TRANSLATABLE("general.label.identification");
  static complianceLevel: string = MARK_AS_TRANSLATABLE("general.label.complianceLevel");
  static informations: string = MARK_AS_TRANSLATABLE("general.label.informations");
  static fileInformations: string = MARK_AS_TRANSLATABLE("general.label.fileInformations");
  static checksums: string = MARK_AS_TRANSLATABLE("general.label.checksums");
  static analyticalTools: string = MARK_AS_TRANSLATABLE("general.label.analyticalTools");
  static antivirus: string = MARK_AS_TRANSLATABLE("general.label.antivirus");
  static changeTime: string = MARK_AS_TRANSLATABLE("general.label.changeTime");
  static createdBy: string = MARK_AS_TRANSLATABLE("general.label.createdBy");
  static detailsOfFile: string = MARK_AS_TRANSLATABLE("general.label.detailsOfFile");
  static resId: string = MARK_AS_TRANSLATABLE("general.label.resId");
  static year: string = MARK_AS_TRANSLATABLE("general.label.year");
  static lastChecksumVerification: string = MARK_AS_TRANSLATABLE("general.label.lastChecksumVerification");
  static container: string = MARK_AS_TRANSLATABLE("general.label.container");
  static numberOfFiles: string = MARK_AS_TRANSLATABLE("general.label.numberOfFiles");
  static collectionFilesNumber: string = MARK_AS_TRANSLATABLE("general.label.collectionFilesNumber");
  static metadataVersion: string = MARK_AS_TRANSLATABLE("general.label.metadataVersion");
  static archiveSize: string = MARK_AS_TRANSLATABLE("general.label.archiveSize");
  static collectionSize: string = MARK_AS_TRANSLATABLE("general.label.collectionSize");
  static retentionDuration: string = MARK_AS_TRANSLATABLE("general.label.retentionDuration");
  static retentionExpiration: string = MARK_AS_TRANSLATABLE("general.label.retentionExpiration");
  static recurrence: string = MARK_AS_TRANSLATABLE("general.label.recurrence");
  static jobType: string = MARK_AS_TRANSLATABLE("general.label.jobType");
  static jobRecurrence: string = MARK_AS_TRANSLATABLE("general.label.jobRecurrence");
  static enabled: string = MARK_AS_TRANSLATABLE("general.label.enabled");
  static reference: string = MARK_AS_TRANSLATABLE("general.label.reference");
  static executions: string = MARK_AS_TRANSLATABLE("general.label.executions");
  static startDate: string = MARK_AS_TRANSLATABLE("general.label.startDate");
  static endDate: string = MARK_AS_TRANSLATABLE("general.label.endDate");
  static startHour: string = MARK_AS_TRANSLATABLE("general.label.startHour");
  static endHour: string = MARK_AS_TRANSLATABLE("general.label.endHour");
  static reportNumber: string = MARK_AS_TRANSLATABLE("general.label.reportNumber");
  static itemsProcessed: string = MARK_AS_TRANSLATABLE("general.label.itemsProcessed");
  static itemsIgnored: string = MARK_AS_TRANSLATABLE("general.label.itemsIgnored");
  static itemsInError: string = MARK_AS_TRANSLATABLE("general.label.itemsInError");
  static reportDetail: string = MARK_AS_TRANSLATABLE("general.label.reportDetail");
  static emailSuffixes: string = MARK_AS_TRANSLATABLE("general.label.emailSuffixes");
  static opening: string = MARK_AS_TRANSLATABLE("general.label.opening");
  static closing: string = MARK_AS_TRANSLATABLE("general.label.closing");
  static associatedPeople: string = MARK_AS_TRANSLATABLE("general.label.associatedPeople");
  static associatedOrganizationalUnit: string = MARK_AS_TRANSLATABLE("general.label.associatedOrganizationalUnit");
  static date: string = MARK_AS_TRANSLATABLE("general.label.date");
  static acronym: string = MARK_AS_TRANSLATABLE("general.label.acronym");
  static submissionApproval: string = MARK_AS_TRANSLATABLE("general.label.submissionApproval");
  static disposalApproval: string = MARK_AS_TRANSLATABLE("general.label.disposalApproval");
  static retention: string = MARK_AS_TRANSLATABLE("general.label.retention");
  static timeToKeep: string = MARK_AS_TRANSLATABLE("general.label.timeToKeep");
  static source: string = MARK_AS_TRANSLATABLE("general.label.source");
  static code: string = MARK_AS_TRANSLATABLE("general.label.code");
  static externalUid: string = MARK_AS_TRANSLATABLE("general.label.externalUid");
  static homeOrganization: string = MARK_AS_TRANSLATABLE("general.label.homeOrganization");
  static level: string = MARK_AS_TRANSLATABLE("general.label.level");
  static spec: string = MARK_AS_TRANSLATABLE("general.label.spec");
  static list: string = MARK_AS_TRANSLATABLE("general.label.list");
  static detail: string = MARK_AS_TRANSLATABLE("general.label.detail");
  static filteringSubjectAreaBySource: string = MARK_AS_TRANSLATABLE("general.label.filteringSubjectAreaBySource");
  static identifier: string = MARK_AS_TRANSLATABLE("general.label.identifier");
  static ark: string = MARK_AS_TRANSLATABLE("general.label.ark");
  static doi: string = MARK_AS_TRANSLATABLE("general.label.doi");
  static rorId: string = MARK_AS_TRANSLATABLE("general.label.rorId");
  static additionalMetadata: string = MARK_AS_TRANSLATABLE("general.label.additionalMetadata");
  static browsing: string = MARK_AS_TRANSLATABLE("general.label.browsing");
  static openLicenseId: string = MARK_AS_TRANSLATABLE("general.label.openLicenseId");
  static version: string = MARK_AS_TRANSLATABLE("general.label.version");
  static format: string = MARK_AS_TRANSLATABLE("general.label.format");
  static urlRedirect: string = MARK_AS_TRANSLATABLE("general.label.urlRedirect");
  static suffixLabel: string = MARK_AS_TRANSLATABLE("general.label.suffix");
  static downloadFileNameLabel: string = MARK_AS_TRANSLATABLE("general.label.downloadFileName");
  static nameLabel: string = MARK_AS_TRANSLATABLE("general.label.name");
  static titleLabel: string = MARK_AS_TRANSLATABLE("general.label.title");
  static taskTypeLabel: string = MARK_AS_TRANSLATABLE("general.label.taskType");
  static orderNameLabel: string = MARK_AS_TRANSLATABLE("general.label.orderName");
  static fileName: string = MARK_AS_TRANSLATABLE("general.label.fileName");
  static runNumber: string = MARK_AS_TRANSLATABLE("general.label.runNumber");
  static odConformance: string = MARK_AS_TRANSLATABLE("general.label.odConformance");
  static osdConformance: string = MARK_AS_TRANSLATABLE("general.label.osdConformance");
  static maintainer: string = MARK_AS_TRANSLATABLE("general.label.maintainer");
  static isGeneric: string = MARK_AS_TRANSLATABLE("general.label.isGeneric");
  static family: string = MARK_AS_TRANSLATABLE("general.label.family");
  static domainContent: string = MARK_AS_TRANSLATABLE("general.label.domainContent");
  static domainData: string = MARK_AS_TRANSLATABLE("general.label.domainData");
  static domainSoftware: string = MARK_AS_TRANSLATABLE("general.label.domainSoftware");
  static accessTokenValidity: string = MARK_AS_TRANSLATABLE("general.label.accessTokenValidity");
  static refreshTokenValidity: string = MARK_AS_TRANSLATABLE("general.label.refreshTokenValidity");
  static grantTypes: string = MARK_AS_TRANSLATABLE("general.label.grantTypes");
  static theDepositHasAnEmbargo: string = MARK_AS_TRANSLATABLE("general.label.theDepositHasAnEmbargo");
  static embargoDuration: string = MARK_AS_TRANSLATABLE("general.label.embargoDuration");
  static embargoStartDate: string = MARK_AS_TRANSLATABLE("general.label.embargoStartDate");
  static statusMessage: string = MARK_AS_TRANSLATABLE("general.label.statusMessage");
  static noFiltering: string = MARK_AS_TRANSLATABLE("general.label.noFiltering");
  static requestMembership: string = MARK_AS_TRANSLATABLE("general.label.requestMembership");
  static changeRoleInOrgUnit: string = MARK_AS_TRANSLATABLE("general.label.changeRoleInOrgUnit");
  static desiredOrganizationalUnitName: string = MARK_AS_TRANSLATABLE("general.label.desiredOrganizationalUnitName");
  static desiredRole: string = MARK_AS_TRANSLATABLE("general.label.desiredRole");
  static orcidAuthenticated: string = MARK_AS_TRANSLATABLE("general.label.orcidAuthenticated");
  static orcidNotAuthenticated: string = MARK_AS_TRANSLATABLE("general.label.orcidNotAuthenticated");
  static orcidExternalWebsites: string = MARK_AS_TRANSLATABLE("general.label.orcidExternalWebsites");
  static data: string = MARK_AS_TRANSLATABLE("general.label.data");
  static reason: string = MARK_AS_TRANSLATABLE("general.label.reason");
  static reasonForRejection: string = MARK_AS_TRANSLATABLE("general.label.reasonForRejection");
  static clickHereToAddAnOrganizationalUnit: string = MARK_AS_TRANSLATABLE("general.label.clickHereToAddAnOrganizationalUnit");
  static clickHereToAddAPolicy: string = MARK_AS_TRANSLATABLE("general.label.clickHereToAddAPolicy");
  static clickHereToAddASubjectArea: string = MARK_AS_TRANSLATABLE("general.label.clickHereToAddSubjectArea");
  static clickHereToAddAnInstitution: string = MARK_AS_TRANSLATABLE("general.label.clickHereToAddAnInstitution");
  static clickHereToAddAnAgency: string = MARK_AS_TRANSLATABLE("general.label.clickHereToAddAnAgency");
  static clickHereToAddAContributor: string = MARK_AS_TRANSLATABLE("general.label.clickHereToAddAContributor");
  static clickHereForMoreOptions: string = MARK_AS_TRANSLATABLE("general.label.clickHereForMoreOptions");
  static dataCategory: string = MARK_AS_TRANSLATABLE("general.label.dataCategory");
  static dataType: string = MARK_AS_TRANSLATABLE("general.label.dataType");
  static subDirectory: string = MARK_AS_TRANSLATABLE("general.label.subDirectory");
  static newSubDirectory: string = MARK_AS_TRANSLATABLE("general.label.newSubDirectory");
  static listInvalidCharacter: string = MARK_AS_TRANSLATABLE("general.label.listInvalidCharacter");
  static fileToUpload: string = MARK_AS_TRANSLATABLE("general.label.fileToUpload");
  static downloadDua: string = MARK_AS_TRANSLATABLE("general.label.downloadDua");
  static previewDua: string = MARK_AS_TRANSLATABLE("general.label.previewDua");
  static downloadSubmissionAgreementFile: string = MARK_AS_TRANSLATABLE("general.label.downloadSubmissionAgreementFile");
  static previewSubmissionAgreementFile: string = MARK_AS_TRANSLATABLE("general.label.previewSubmissionAgreementFile");
  static duaFile: string = MARK_AS_TRANSLATABLE("general.label.duaFile");
  static filesToUpload: string = MARK_AS_TRANSLATABLE("general.label.filesToUpload");
  static currentlyNoFilesInDeposit: string = MARK_AS_TRANSLATABLE("general.label.currentlyNoFilesInDeposit");
  static resultsFound: string = MARK_AS_TRANSLATABLE("general.label.resultsFound");
  static refineResearch: string = MARK_AS_TRANSLATABLE("general.label.refineResearch");
  static clearFilters: string = MARK_AS_TRANSLATABLE("general.label.clearFilters");
  static listView: string = MARK_AS_TRANSLATABLE("general.label.listView");
  static tilesView: string = MARK_AS_TRANSLATABLE("general.label.tilesView");
  static metadataDatacite: string = MARK_AS_TRANSLATABLE("general.label.metadataDatacite");
  static similarArchive: string = MARK_AS_TRANSLATABLE("general.label.similarArchive");
  static citationsAndBibliographies: string = MARK_AS_TRANSLATABLE("general.label.citationsAndBibliographies");
  static citationsAndBibliographiesWithTitle: string = MARK_AS_TRANSLATABLE("general.label.citationsAndBibliographiesWithTitle");
  static citeDepositInAPublication: string = MARK_AS_TRANSLATABLE("general.label.citeDepositInAPublication");
  static citations: string = MARK_AS_TRANSLATABLE("general.label.citations");
  static citation: string = MARK_AS_TRANSLATABLE("general.label.citation");
  static bibliographies: string = MARK_AS_TRANSLATABLE("general.label.bibliographies");
  static bibliographie: string = MARK_AS_TRANSLATABLE("general.label.bibliographie");
  static youAreInEditMode: string = MARK_AS_TRANSLATABLE("general.label.inEditMode");
  static changelog: string = MARK_AS_TRANSLATABLE("general.label.changelog");
  static releaseNotes: string = MARK_AS_TRANSLATABLE("general.label.releaseNotes");
  static helpForSearch: string = MARK_AS_TRANSLATABLE("general.label.helpForSearch");
  static accessControlled: string = MARK_AS_TRANSLATABLE("general.label.accessControlled");
  static onOrMoreDocumentsAreInAccessControlled: string = MARK_AS_TRANSLATABLE("general.label.onOrMoreDocumentsAreInAccessControlled");
  static thereAreNoCurrentOrderForArchives: string = MARK_AS_TRANSLATABLE("general.label.thereAreNoCurrentOrderForArchives");
  static pendingArchivesOrder: string = MARK_AS_TRANSLATABLE("general.label.pendingArchivesOrder");
  static orderReady: string = MARK_AS_TRANSLATABLE("general.label.orderReady");
  static orderInError: string = MARK_AS_TRANSLATABLE("general.label.orderInError");
  static orderInProgress: string = MARK_AS_TRANSLATABLE("general.label.orderInProgress");
  static metadataSize: string = MARK_AS_TRANSLATABLE("general.label.metadataSize");
  static indexName: string = MARK_AS_TRANSLATABLE("general.label.indexName");
  static alias: string = MARK_AS_TRANSLATABLE("general.label.alias");
  static field: string = MARK_AS_TRANSLATABLE("general.label.field");
  static facet: string = MARK_AS_TRANSLATABLE("general.label.facet");
  static system: string = MARK_AS_TRANSLATABLE("general.label.system");
  static facetMinCount: string = MARK_AS_TRANSLATABLE("general.label.facetMinCount");
  static facetLimit: string = MARK_AS_TRANSLATABLE("general.label.facetLimit");
  static facetOrder: string = MARK_AS_TRANSLATABLE("general.label.facetOrder");
  static sort: string = MARK_AS_TRANSLATABLE("general.label.sort");
  static facetDefaultVisibleValues: string = MARK_AS_TRANSLATABLE("general.label.facetDefaultVisibleValues");
  static maintenanceInProgress: string = MARK_AS_TRANSLATABLE("general.label.maintenanceInProgress");
  static expiration: string = MARK_AS_TRANSLATABLE("general.label.expiration");
  static defaultValue: string = MARK_AS_TRANSLATABLE("general.label.defaultValue");
  static default: string = MARK_AS_TRANSLATABLE("general.label.default");
  static viewNumber: string = MARK_AS_TRANSLATABLE("general.label.viewNumber");
  static downloadNumber: string = MARK_AS_TRANSLATABLE("general.label.downloadNumber");
  static rating: string = MARK_AS_TRANSLATABLE("general.label.rating");
  static dataset: string = MARK_AS_TRANSLATABLE("general.label.dataset");
  static policies: string = MARK_AS_TRANSLATABLE("general.label.policies");
  static organizationalUnitMembers: string = MARK_AS_TRANSLATABLE("general.label.organizationalUnitMembers");
  static institutionsMembers: string = MARK_AS_TRANSLATABLE("general.label.institutionsMembers");
  static institutionMembers: string = MARK_AS_TRANSLATABLE("general.label.institutionMembers");
  static guidedTour: string = MARK_AS_TRANSLATABLE("general.label.guidedTour");
  static avatar: string = MARK_AS_TRANSLATABLE("general.label.avatar");
  static logo: string = MARK_AS_TRANSLATABLE("general.label.logo");
  static packages: string = MARK_AS_TRANSLATABLE("general.label.packages");
  static packagesInformation: string = MARK_AS_TRANSLATABLE("general.label.packagesInformation");
  static descriptionOther: string = MARK_AS_TRANSLATABLE("general.label.descriptionOther");
  static descriptionTechnicalInfo: string = MARK_AS_TRANSLATABLE("general.label.descriptionTechnicalInfo");
  static descriptionSeriesInformation: string = MARK_AS_TRANSLATABLE("general.label.descriptionSeriesInformation");
  static descriptionTableOfContents: string = MARK_AS_TRANSLATABLE("general.label.descriptionTableOfContents");
  static descriptionMethods: string = MARK_AS_TRANSLATABLE("general.label.descriptionMethods");
  static example: string = MARK_AS_TRANSLATABLE("general.label.example");
  static lastLoginTime: string = MARK_AS_TRANSLATABLE("general.label.lastLoginTime");
  static cannotPreviewWhileMovingTheFile: string = MARK_AS_TRANSLATABLE("general.label.cannotPreviewWhileMovingTheFile");
  static yourEvaluation: string = MARK_AS_TRANSLATABLE("general.label.yourEvaluation");
  static showOnlyPublicOrders: string = MARK_AS_TRANSLATABLE("general.label.showOnlyPublicOrders");
  static downloadArchive: string = MARK_AS_TRANSLATABLE("general.label.downloadArchive");
  static privacy: string = MARK_AS_TRANSLATABLE("general.label.privacy");
  static archiveEmbargo: string = MARK_AS_TRANSLATABLE("general.label.archiveEmbargo");
  static archiveNotFound: string = MARK_AS_TRANSLATABLE("general.label.archiveNotFound");
  static archiveWithIdDoesNotExist: string = MARK_AS_TRANSLATABLE("general.label.archiveWithIdDoesNotExist");
  static emitterEmail: string = MARK_AS_TRANSLATABLE("general.label.emitterEmail");
  static fileSizeTooBig: string = MARK_AS_TRANSLATABLE("general.label.fileSizeTooBig");
  static provideChecksums: string = MARK_AS_TRANSLATABLE("general.label.provideChecksums");
  static theChecksumFormatIsNotTheExpectedOne: string = MARK_AS_TRANSLATABLE("general.label.theChecksumFormatIsNotTheExpectedOne");
  static checksumComputing: string = MARK_AS_TRANSLATABLE("general.label.checksumComputing");
  static checksumsComputedByThePortal: string = MARK_AS_TRANSLATABLE("general.label.checksumsComputedByThePortal");
  static calculating: string = MARK_AS_TRANSLATABLE("general.label.calculating");
  static mainContentType: string = MARK_AS_TRANSLATABLE("general.label.mainContentType");
  static masterType: string = MARK_AS_TRANSLATABLE("general.label.masterType");
  static isMasterType: string = MARK_AS_TRANSLATABLE("general.label.isMasterType");
  static showOnlyMastersTypes: string = MARK_AS_TRANSLATABLE("general.label.showOnlyMastersTypes");
  static archivesSelected: string = MARK_AS_TRANSLATABLE("general.label.archivesSelected");
  static noSelection: string = MARK_AS_TRANSLATABLE("general.label.noSelection");
  static about: string = MARK_AS_TRANSLATABLE("general.label.about");
  static prefixLabel: string = MARK_AS_TRANSLATABLE("general.label.prefixLabel");
  static schemaNamespace: string = MARK_AS_TRANSLATABLE("general.label.schemaNamespace");
  static schemaUrl: string = MARK_AS_TRANSLATABLE("general.label.schemaUrl");
  static metadataSchema: string = MARK_AS_TRANSLATABLE("general.label.metadataSchema");
  static metadataXmlTransformation: string = MARK_AS_TRANSLATABLE("general.label.metadataXmlTransformation");
  static isIdenticalTo: string = MARK_AS_TRANSLATABLE("general.label.isIdenticalTo");
  static isReferencedBy: string = MARK_AS_TRANSLATABLE("general.label.isReferencedBy");
  static isObsoletedBy: string = MARK_AS_TRANSLATABLE("general.label.isObsoletedBy");
  static noPersonSelected: string = MARK_AS_TRANSLATABLE("general.label.noPersonSelected");
  static peopleToAdd: string = MARK_AS_TRANSLATABLE("general.label.peopleToAdd");
  static noOrganizationalUnitSelected: string = MARK_AS_TRANSLATABLE("general.label.noOrganizationalUnitSelected");
  static organizationalUnitsToAdd: string = MARK_AS_TRANSLATABLE("general.label.organizationalUnitsToAdd");
  static noInstitutionSelected: string = MARK_AS_TRANSLATABLE("general.label.noInstitutionSelected");
  static institutionsToAdd: string = MARK_AS_TRANSLATABLE("general.label.institutionsToAdd");
  static removeMyselfFromTheOrganisationalUnit: string = MARK_AS_TRANSLATABLE("general.label.removeMyselfFromTheOrganisationalUnit");
  static publicOrder: string = MARK_AS_TRANSLATABLE("general.label.publicOrder");
  static dataUsePolicy: string = MARK_AS_TRANSLATABLE("general.label.dataUsePolicy");
  static duaType: string = MARK_AS_TRANSLATABLE("general.label.duaType");
  static aDuaFileIsPresent: string = MARK_AS_TRANSLATABLE("general.label.aDuaFileIsPresent");
  static cronExpression: string = MARK_AS_TRANSLATABLE("general.label.cronExpression");
  static lastExecutionStart: string = MARK_AS_TRANSLATABLE("general.label.lastExecutionStart");
  static lastExecutionEnd: string = MARK_AS_TRANSLATABLE("general.label.lastExecutionEnd");
  static killScheduledTask: string = MARK_AS_TRANSLATABLE("general.label.killScheduledTask");
  static iAcceptTheContractOnTheUseOfTheData: string = MARK_AS_TRANSLATABLE("general.label.iAcceptTheContractOnTheUseOfTheData");
  static archiveWithClickableDataUseAgreement: string = MARK_AS_TRANSLATABLE("archiveRestricted.modal.clickThroughDuaDownload.description");
  static thisArchiveIsSubjectToAContractOnDataUse: string = MARK_AS_TRANSLATABLE("general.label.thisArchiveIsSubjectToAContractOnDataUse");
  static thisArchiveIsSubjectToAContractOnDataUseExternal: string = MARK_AS_TRANSLATABLE("general.label.thisArchiveIsSubjectToAContractOnDataUseExternal");
  static dataUsePolicyIsIncompatibleWithTheSelectedAccessLevelAndDataTag: string = MARK_AS_TRANSLATABLE("general.label.dataUsePolicyIsIncompatibleWithTheSelectedAccessLevelAndDataTag");
  static duaTypeIsIncompatibleWithTheSelectedAccessLevelAndDataTag: string = MARK_AS_TRANSLATABLE("general.label.duaTypeIsIncompatibleWithTheSelectedAccessLevelAndDataTag");
  static dataTagIsIncompatibleWithTheSelectedAccessLevel: string = MARK_AS_TRANSLATABLE("general.label.dataTagIsIncompatibleWithTheSelectedAccessLevel");
  static submissionAgreementType: string = MARK_AS_TRANSLATABLE("general.label.submissionAgreementType");
  static contentStructurePublic: string = MARK_AS_TRANSLATABLE("general.label.contentStructurePublic");
  static additionalInformation: string = MARK_AS_TRANSLATABLE("general.label.additionalInformation");
  static associatedDataAndPublications: string = MARK_AS_TRANSLATABLE("general.label.associatedDataAndPublications");
  static preservationSettings: string = MARK_AS_TRANSLATABLE("general.label.preservationSettings");
  static iAgreeWithTheSubmissionAgreement: string = MARK_AS_TRANSLATABLE("general.label.iAgreeWithTheSubmissionAgreement");
  static submissionRequireSubmissionAgreement: string = MARK_AS_TRANSLATABLE("general.label.submissionRequireSubmissionAgreement");
  static approvedThe: string = MARK_AS_TRANSLATABLE("general.label.approvedThe");
  static readme: string = MARK_AS_TRANSLATABLE("general.label.readme");
  static forever: string = MARK_AS_TRANSLATABLE("general.label.forever");
  static theCurrentReadmeFileIsEditable: string = MARK_AS_TRANSLATABLE("general.label.theCurrentReadmeFileIsEditable");
  static youCanModifyItOrSendAFile: string = MARK_AS_TRANSLATABLE("general.label.youCanModifyItOrSendAFile");
  static theCurrentReadmeFileIsNotEditable: string = MARK_AS_TRANSLATABLE("general.label.theCurrentReadmeFileIsNotEditable");
  static youCanSendANewVersionOfTheFileOrSwitchToAnEditableFile: string = MARK_AS_TRANSLATABLE("general.label.youCanSendANewVersionOfTheFileOrSwitchToAnEditableFile");
  static unableToPreviewReadme: string = MARK_AS_TRANSLATABLE("general.label.unableToPreviewReadme");
  static hereYouCanDescribeHowToUseYourDeposit: string = MARK_AS_TRANSLATABLE("general.label.hereYouCanDescribeHowToUseYourDeposit");
  static clickHereToStartWritingTheReadmeFile: string = MARK_AS_TRANSLATABLE("general.label.clickHereToStartWritingTheReadmeFile");
  static server: string = MARK_AS_TRANSLATABLE("general.label.server");
  static contextPath: string = MARK_AS_TRANSLATABLE("general.label.contextPath");
  static sourceDatasetFile: string = MARK_AS_TRANSLATABLE("general.label.sourceDatasetFile");
  static rdfDatasetFile: string = MARK_AS_TRANSLATABLE("general.label.rdfDatasetFile");
  static researchDataFile: string = MARK_AS_TRANSLATABLE("general.label.researchDataFile");
  static formatForBasic: string = MARK_AS_TRANSLATABLE("general.label.formatForBasic");
  static formatForOais: string = MARK_AS_TRANSLATABLE("general.label.formatForOais");
  static formatForHedera: string = MARK_AS_TRANSLATABLE("general.label.formatForHedera");
  static formatForIiif: string = MARK_AS_TRANSLATABLE("general.label.formatForIiif");
  static basic: string = MARK_AS_TRANSLATABLE("general.label.basic");
  static oais: string = MARK_AS_TRANSLATABLE("general.label.oais");
  static hedera: string = MARK_AS_TRANSLATABLE("general.label.hedera");
  static iiif: string = MARK_AS_TRANSLATABLE("general.label.iiif");
  static dataUseAgreement: string = MARK_AS_TRANSLATABLE("general.label.dataUseAgreement");
  static thereIsA: string = MARK_AS_TRANSLATABLE("general.label.thereIsA");
  static newerVersion: string = MARK_AS_TRANSLATABLE("general.label.newerVersion");
  static ofTheArchiveAvailable: string = MARK_AS_TRANSLATABLE("general.label.ofTheArchiveAvailable");
  static thereIsAnotherDisseminationPolicyDefinedWithTheSameParameters: string = MARK_AS_TRANSLATABLE("general.label.thereIsAnotherDisseminationPolicyDefinedWithTheSameParameters");

  static tooltipContentStructurePublic: string = MARK_AS_TRANSLATABLE("general.tooltip.contentStructurePublic");

  static hide: string = MARK_AS_TRANSLATABLE("general.link.hide");
  static show: string = MARK_AS_TRANSLATABLE("general.link.show");
  static showObject: string = MARK_AS_TRANSLATABLE("general.link.showObject");
  static seeDeposits: string = MARK_AS_TRANSLATABLE("general.link.seeDeposits");
  static seeDeposit: string = MARK_AS_TRANSLATABLE("general.link.seeDeposit");
  static seeArchives: string = MARK_AS_TRANSLATABLE("general.link.seeArchives");
  static seeSip: string = MARK_AS_TRANSLATABLE("general.link.seeSip");
  static seeAipDownloaded: string = MARK_AS_TRANSLATABLE("general.link.seeAipDownloaded");
  static seeDip: string = MARK_AS_TRANSLATABLE("general.link.seeDip");
  static seeAip: string = MARK_AS_TRANSLATABLE("general.link.seeAip");
  static seeArchive: string = MARK_AS_TRANSLATABLE("general.link.seeArchive");
  static link: string = MARK_AS_TRANSLATABLE("general.link.link");
  static manageArchiveAcl: string = MARK_AS_TRANSLATABLE("general.link.manageArchiveAcl");
  static navigateToTheDoi: string = MARK_AS_TRANSLATABLE("general.link.navigateToTheDoi");

  static fileDownloadStart: string = MARK_AS_TRANSLATABLE("general.notification.fileDownloadStart");
  static fileDownloadFail: string = MARK_AS_TRANSLATABLE("general.notification.fileDownloadFail");
  static fileDownloadForbidden: string = MARK_AS_TRANSLATABLE("general.notification.fileDownloadForbidden");
  static fileDownloadUnauthorized: string = MARK_AS_TRANSLATABLE("general.notification.fileDownloadUnauthorized");
  static resourceResumed: string = MARK_AS_TRANSLATABLE("general.notification.resourceResumed");
  static resourceInError: string = MARK_AS_TRANSLATABLE("general.notification.resourceInError");
  static unableResumedResource: string = MARK_AS_TRANSLATABLE("general.notification.unableResumedResource");
  static unableInErrorResource: string = MARK_AS_TRANSLATABLE("general.notification.unableInErrorResource");
  static objectCreated: string = MARK_AS_TRANSLATABLE("general.notification.objectCreated");
  static objectUpdated: string = MARK_AS_TRANSLATABLE("general.notification.objectUpdated");
  static objectDeleted: string = MARK_AS_TRANSLATABLE("general.notification.objectDeleted");
  static idCopyToClipboard: string = MARK_AS_TRANSLATABLE("general.notification.idCopyToClipboard");
  static evaluationTakenIntoAccount: string = MARK_AS_TRANSLATABLE("general.notification.evaluationTakenIntoAccount");
  static notificationSetReadSuccess: string = MARK_AS_TRANSLATABLE("general.notification.notification.setRead.success");
  static notificationSetReadFail: string = MARK_AS_TRANSLATABLE("general.notification.notification.setRead.fail");
  static notificationSetProcessedSuccess: string = MARK_AS_TRANSLATABLE("general.notification.notification.setProcessed.success");
  static notificationSetProcessedFail: string = MARK_AS_TRANSLATABLE("general.notification.notification.setProcessed.fail");
  static notificationSetRefuseSuccess: string = MARK_AS_TRANSLATABLE("general.notification.notification.setRefuse.success");
  static notificationSetRefuseFail: string = MARK_AS_TRANSLATABLE("general.notification.notification.setRefuse.fail");
  static notificationSetPendingSuccess: string = MARK_AS_TRANSLATABLE("general.notification.notification.setPending.success");
  static notificationSetPendingFail: string = MARK_AS_TRANSLATABLE("general.notification.notification.setPending.fail");
  static notificationSetUnreadSuccess: string = MARK_AS_TRANSLATABLE("general.notification.notification.setUnread.success");
  static notificationSetUnreadFail: string = MARK_AS_TRANSLATABLE("general.notification.notification.setUnread.fail");
  static notificationArchiveExportedToOrcidProfileSuccess: string = MARK_AS_TRANSLATABLE("general.notification.archiveExportedToOrcidProfile.success");
  static notificationArchiveExportedToOrcidProfileFail: string = MARK_AS_TRANSLATABLE("general.notification.archiveExportedToOrcidProfile.fail");
  static notificationCopiedToClipboard: string = MARK_AS_TRANSLATABLE("general.notification.copiedToClipboard");

  static storagionInjectNumber: string = MARK_AS_TRANSLATABLE("general.injected.storagionInjectNumber");
  static seeInStoragionInjectNumber: string = MARK_AS_TRANSLATABLE("general.injected.seeInStoragionInjectNumber");
  static xMonthByDefault: string = MARK_AS_TRANSLATABLE("general.injected.xMonthByDefault");
  static unableToComputeChecksumsWithPortalBecauseSizeExeedLimitOfX: string = MARK_AS_TRANSLATABLE("general.injected.unableToComputeChecksumsWithPortalBecauseSizeExeedLimitOfX");

  static moreThanXContributors: string = MARK_AS_TRANSLATABLE("general.injected.moreThanXContributorsReturnedPleaseSpecifyYourSearch");
  static commentsOnDepositX: string = MARK_AS_TRANSLATABLE("general.injected.commentsOnDepositX");
  static checksumInconsistentWithExpectedValueX: string = MARK_AS_TRANSLATABLE("general.injected.checksumInconsistentWithExpectedValueX");
  static providedByX: string = MARK_AS_TRANSLATABLE("general.injected.providedByX");
  static downloadXFiles: string = MARK_AS_TRANSLATABLE("general.injected.downloadXFiles");
  static formatX: string = MARK_AS_TRANSLATABLE("general.injected.formatX");

  static metaGeneralTitle: string = MARK_AS_TRANSLATABLE("meta.general.title");
  static metaGeneralDescription: string = MARK_AS_TRANSLATABLE("meta.general.description");
  static metaAdminTitle: string = MARK_AS_TRANSLATABLE("meta.admin.title");
  static metaAboutTitle: string = MARK_AS_TRANSLATABLE("meta.about.title");
  static metaAboutDescription: string = MARK_AS_TRANSLATABLE("meta.about.description");
}
